# Load Quartus II Tcl Project package
package require ::quartus::project


#-----------sys-----------
set_location_assignment -value Pin_AG5 -to sys_resetn;

#-----------clk-----------
set_location_assignment -value Pin_U31 -to clk1_out_s;
set_location_assignment -value Pin_T29 -to clk2_out_s\[1\];
set_location_assignment -value Pin_AM19 -to clk2_out_s\[2\];
set_location_assignment -value Pin_C19 -to clk2_out_s\[3\];
set_location_assignment -value Pin_AK15 -to clk2_out_s\[4\];
set_location_assignment -value Pin_AB5 -to clk_from_scruz;
set_location_assignment -value Pin_AM16 -to clkout_n;
set_location_assignment -value Pin_AL16 -to clkout_p;

#-----------fse-----------
set_location_assignment -value Pin_F5 -to fse_a\[0\];
set_location_assignment -value Pin_E4 -to fse_a\[1\];
set_location_assignment -value Pin_E2 -to fse_a\[2\];
set_location_assignment -value Pin_E1 -to fse_a\[3\];
set_location_assignment -value Pin_F3 -to fse_a\[4\];
set_location_assignment -value Pin_F4 -to fse_a\[5\];
set_location_assignment -value Pin_G3 -to fse_a\[6\];
set_location_assignment -value Pin_G4 -to fse_a\[7\];
set_location_assignment -value Pin_F1 -to fse_a\[8\];
set_location_assignment -value Pin_F2 -to fse_a\[9\];
set_location_assignment -value Pin_H3 -to fse_a\[10\];
set_location_assignment -value Pin_H4 -to fse_a\[11\];
set_location_assignment -value Pin_G1 -to fse_a\[12\];
set_location_assignment -value Pin_G2 -to fse_a\[13\];
set_location_assignment -value Pin_H1 -to fse_a\[14\];
set_location_assignment -value Pin_H2 -to fse_a\[15\];
set_location_assignment -value Pin_J3 -to fse_a\[16\];
set_location_assignment -value Pin_J4 -to fse_a\[17\];
set_location_assignment -value Pin_K4 -to fse_a\[18\];
set_location_assignment -value Pin_K3 -to fse_a\[19\];
set_location_assignment -value Pin_J2 -to fse_a\[20\];
set_location_assignment -value Pin_J1 -to fse_a\[21\];
set_location_assignment -value Pin_L1 -to fse_a\[22\];
set_location_assignment -value Pin_K2 -to fse_a\[23\];
set_location_assignment -value Pin_M4 -to fse_a\[24\];
set_location_assignment -value Pin_M5 -to fse_a\[25\];
set_location_assignment -value Pin_L2 -to fse_a\[26\];
set_location_assignment -value Pin_G7 -to fse_d\[0\];
set_location_assignment -value Pin_G8 -to fse_d\[1\];
set_location_assignment -value Pin_G6 -to fse_d\[2\];
set_location_assignment -value Pin_G5 -to fse_d\[3\];
set_location_assignment -value Pin_H8 -to fse_d\[4\];
set_location_assignment -value Pin_H7 -to fse_d\[5\];
set_location_assignment -value Pin_H5 -to fse_d\[6\];
set_location_assignment -value Pin_H6 -to fse_d\[7\];
set_location_assignment -value Pin_J7 -to fse_d\[8\];
set_location_assignment -value Pin_J8 -to fse_d\[9\];
set_location_assignment -value Pin_J5 -to fse_d\[10\];
set_location_assignment -value Pin_J6 -to fse_d\[11\];
set_location_assignment -value Pin_K8 -to fse_d\[12\];
set_location_assignment -value Pin_K7 -to fse_d\[13\];
set_location_assignment -value Pin_K5 -to fse_d\[14\];
set_location_assignment -value Pin_K6 -to fse_d\[15\];
set_location_assignment -value Pin_L6 -to fse_d\[16\];
set_location_assignment -value Pin_L7 -to fse_d\[17\];
set_location_assignment -value Pin_M6 -to fse_d\[18\];
set_location_assignment -value Pin_M7 -to fse_d\[19\];
set_location_assignment -value Pin_M8 -to fse_d\[20\];
set_location_assignment -value Pin_M9 -to fse_d\[21\];
set_location_assignment -value Pin_N10 -to fse_d\[22\];
set_location_assignment -value Pin_N9 -to fse_d\[23\];
set_location_assignment -value Pin_N5 -to fse_d\[24\];
set_location_assignment -value Pin_N6 -to fse_d\[25\];
set_location_assignment -value Pin_P9 -to fse_d\[26\];
set_location_assignment -value Pin_P10 -to fse_d\[27\];
set_location_assignment -value Pin_N7 -to fse_d\[28\];
set_location_assignment -value Pin_N8 -to fse_d\[29\];
set_location_assignment -value Pin_P6 -to fse_d\[30\];
set_location_assignment -value Pin_P5 -to fse_d\[31\];

#-----------enet-----------
set_location_assignment -value Pin_W12 -to enet_adsn;
set_location_assignment -value Pin_W11 -to enet_aen;
set_location_assignment -value Pin_Y11 -to enet_ben\[0\];
set_location_assignment -value Pin_Y12 -to enet_ben\[1\];
set_location_assignment -value Pin_AB10 -to enet_ben\[2\];
set_location_assignment -value Pin_AA11 -to enet_ben\[3\];
set_location_assignment -value Pin_W8 -to enet_cyclen;
set_location_assignment -value Pin_W7 -to enet_datacsn;
set_location_assignment -value Pin_V8 -to enet_intrq0;
set_location_assignment -value Pin_V7 -to enet_iochrdy;
set_location_assignment -value Pin_V5 -to enet_iorn;
set_location_assignment -value Pin_V6 -to enet_iown;
set_location_assignment -value Pin_V9 -to enet_lclk;
set_location_assignment -value Pin_V10 -to enet_ldevn;
set_location_assignment -value Pin_W9 -to enet_rdyrtnn;
set_location_assignment -value Pin_W10 -to enet_reset;
set_location_assignment -value Pin_R1 -to enet_srdyn;
set_location_assignment -value Pin_R2 -to enet_vlbusn;
set_location_assignment -value Pin_Y10 -to enet_w_rn;

#-----------flash-----------
set_location_assignment -value Pin_M3 -to flash_cen;
set_location_assignment -value Pin_N3 -to flash_oen;
set_location_assignment -value Pin_N1 -to flash_rdy_bsyn;
set_location_assignment -value Pin_L3 -to flash_resetn;
set_location_assignment -value Pin_N4 -to flash_wen;

#-----------sram-----------
set_location_assignment -value Pin_N2 -to sram_ben\[0\];
set_location_assignment -value Pin_P3 -to sram_ben\[1\];
set_location_assignment -value Pin_P4 -to sram_ben\[2\];
set_location_assignment -value Pin_P1 -to sram_ben\[3\];
set_location_assignment -value Pin_P2 -to sram_csn;
set_location_assignment -value Pin_R3 -to sram_oen;
set_location_assignment -value Pin_R4 -to sram_wen;

#-----------ddra-----------
set_location_assignment -value Pin_V29 -to ddra_a\[0\];
set_location_assignment -value Pin_V30 -to ddra_a\[1\];
set_location_assignment -value Pin_V31 -to ddra_a\[2\];
set_location_assignment -value Pin_V32 -to ddra_a\[3\];
set_location_assignment -value Pin_T32 -to ddra_a\[4\];
set_location_assignment -value Pin_R32 -to ddra_a\[5\];
set_location_assignment -value Pin_T31 -to ddra_a\[6\];
set_location_assignment -value Pin_R31 -to ddra_a\[7\];
set_location_assignment -value Pin_R30 -to ddra_a\[8\];
set_location_assignment -value Pin_T28 -to ddra_a\[9\];
set_location_assignment -value Pin_V28 -to ddra_a\[10\];
set_location_assignment -value Pin_R29 -to ddra_a\[11\];
set_location_assignment -value Pin_R28 -to ddra_a\[12\];
set_location_assignment -value Pin_U27 -to ddra_ba\[0\];
set_location_assignment -value Pin_U28 -to ddra_ba\[1\];
set_location_assignment -value Pin_V27 -to ddra_casn;
set_location_assignment -value Pin_M28 -to ddra_ck_n;
set_location_assignment -value Pin_N27 -to ddra_ck_p;
set_location_assignment -value Pin_G32 -to ddra_cke;
set_location_assignment -value Pin_K31 -to ddra_csn;
set_location_assignment -value Pin_H31 -to ddra_dq\[0\];
set_location_assignment -value Pin_J28 -to ddra_dq\[1\];
set_location_assignment -value Pin_J30 -to ddra_dq\[2\];
set_location_assignment -value Pin_J29 -to ddra_dq\[3\];
set_location_assignment -value Pin_H30 -to ddra_dq\[4\];
set_location_assignment -value Pin_H29 -to ddra_dq\[5\];
set_location_assignment -value Pin_H28 -to ddra_dq\[6\];
set_location_assignment -value Pin_J31 -to ddra_dq\[7\];
set_location_assignment -value Pin_F32 -to ddra_dq\[8\];
set_location_assignment -value Pin_E32 -to ddra_dq\[9\];
set_location_assignment -value Pin_F29 -to ddra_dq\[10\];
set_location_assignment -value Pin_E31 -to ddra_dq\[11\];
set_location_assignment -value Pin_F30 -to ddra_dq\[12\];
set_location_assignment -value Pin_F31 -to ddra_dq\[13\];
set_location_assignment -value Pin_E29 -to ddra_dq\[14\];
set_location_assignment -value Pin_F28 -to ddra_dq\[15\];
set_location_assignment -value Pin_J32 -to ddra_ldm;
set_location_assignment -value Pin_H32 -to ddra_ldqs;
set_location_assignment -value Pin_W26 -to ddra_rasn;
set_location_assignment -value Pin_G31 -to ddra_udm;
set_location_assignment -value Pin_G30 -to ddra_udqs;
set_location_assignment -value Pin_V26 -to ddra_wen;

#-----------ddrb-----------
set_location_assignment -value Pin_M31 -to ddrb_cke;
set_location_assignment -value Pin_P32 -to ddrb_csn;
set_location_assignment -value Pin_N28 -to ddrb_dq\[0\];
set_location_assignment -value Pin_N29 -to ddrb_dq\[1\];
set_location_assignment -value Pin_N30 -to ddrb_dq\[2\];
set_location_assignment -value Pin_N31 -to ddrb_dq\[3\];
set_location_assignment -value Pin_P27 -to ddrb_dq\[4\];
set_location_assignment -value Pin_P28 -to ddrb_dq\[5\];
set_location_assignment -value Pin_P29 -to ddrb_dq\[6\];
set_location_assignment -value Pin_P30 -to ddrb_dq\[7\];
set_location_assignment -value Pin_L32 -to ddrb_dq\[8\];
set_location_assignment -value Pin_L31 -to ddrb_dq\[9\];
set_location_assignment -value Pin_L30 -to ddrb_dq\[10\];
set_location_assignment -value Pin_K30 -to ddrb_dq\[11\];
set_location_assignment -value Pin_K29 -to ddrb_dq\[12\];
set_location_assignment -value Pin_K28 -to ddrb_dq\[13\];
set_location_assignment -value Pin_L27 -to ddrb_dq\[14\];
set_location_assignment -value Pin_K27 -to ddrb_dq\[15\];
set_location_assignment -value Pin_N32 -to ddrb_ldm;
set_location_assignment -value Pin_P31 -to ddrb_ldqs;
set_location_assignment -value Pin_M30 -to ddrb_udm;
set_location_assignment -value Pin_M29 -to ddrb_udqs;

#-----------ddrc-----------
set_location_assignment -value Pin_Y32 -to ddrc_cke;
set_location_assignment -value Pin_AA31 -to ddrc_csn;
set_location_assignment -value Pin_AC27 -to ddrc_dq\[0\];
set_location_assignment -value Pin_AB27 -to ddrc_dq\[1\];
set_location_assignment -value Pin_AC28 -to ddrc_dq\[2\];
set_location_assignment -value Pin_AC31 -to ddrc_dq\[3\];
set_location_assignment -value Pin_AA28 -to ddrc_dq\[4\];
set_location_assignment -value Pin_AB30 -to ddrc_dq\[5\];
set_location_assignment -value Pin_AB31 -to ddrc_dq\[6\];
set_location_assignment -value Pin_AB32 -to ddrc_dq\[7\];
set_location_assignment -value Pin_Y31 -to ddrc_dq\[8\];
set_location_assignment -value Pin_Y30 -to ddrc_dq\[9\];
set_location_assignment -value Pin_Y29 -to ddrc_dq\[10\];
set_location_assignment -value Pin_Y28 -to ddrc_dq\[11\];
set_location_assignment -value Pin_W30 -to ddrc_dq\[12\];
set_location_assignment -value Pin_W29 -to ddrc_dq\[13\];
set_location_assignment -value Pin_W28 -to ddrc_dq\[14\];
set_location_assignment -value Pin_W27 -to ddrc_dq\[15\];
set_location_assignment -value Pin_AA30 -to ddrc_ldm;
set_location_assignment -value Pin_AA29 -to ddrc_ldqs;
set_location_assignment -value Pin_W32 -to ddrc_udm;
set_location_assignment -value Pin_W31 -to ddrc_udqs;

#-----------ddrd-----------
set_location_assignment -value Pin_AE27 -to ddrd_cke;
set_location_assignment -value Pin_AH32 -to ddrd_csn;
set_location_assignment -value Pin_AF32 -to ddrd_dq\[0\];
set_location_assignment -value Pin_AG32 -to ddrd_dq\[1\];
set_location_assignment -value Pin_AG31 -to ddrd_dq\[2\];
set_location_assignment -value Pin_AF31 -to ddrd_dq\[3\];
set_location_assignment -value Pin_AF30 -to ddrd_dq\[4\];
set_location_assignment -value Pin_AG29 -to ddrd_dq\[5\];
set_location_assignment -value Pin_AF29 -to ddrd_dq\[6\];
set_location_assignment -value Pin_AF28 -to ddrd_dq\[7\];
set_location_assignment -value Pin_AD32 -to ddrd_dq\[8\];
set_location_assignment -value Pin_AE32 -to ddrd_dq\[9\];
set_location_assignment -value Pin_AE31 -to ddrd_dq\[10\];
set_location_assignment -value Pin_AD31 -to ddrd_dq\[11\];
set_location_assignment -value Pin_AD30 -to ddrd_dq\[12\];
set_location_assignment -value Pin_AD29 -to ddrd_dq\[13\];
set_location_assignment -value Pin_AE29 -to ddrd_dq\[14\];
set_location_assignment -value Pin_AE28 -to ddrd_dq\[15\];
set_location_assignment -value Pin_AG28 -to ddrd_ldm;
set_location_assignment -value Pin_AG30 -to ddrd_ldqs;
set_location_assignment -value Pin_AD28 -to ddrd_udm;
set_location_assignment -value Pin_AE30 -to ddrd_udqs;

#-----------ddre-----------
set_location_assignment -value Pin_AK14 -to ddre_a\[0\];
set_location_assignment -value Pin_AE14 -to ddre_a\[1\];
set_location_assignment -value Pin_AD14 -to ddre_a\[2\];
set_location_assignment -value Pin_AK13 -to ddre_a\[3\];
set_location_assignment -value Pin_AJ13 -to ddre_a\[4\];
set_location_assignment -value Pin_AG13 -to ddre_a\[5\];
set_location_assignment -value Pin_AH13 -to ddre_a\[6\];
set_location_assignment -value Pin_AE13 -to ddre_a\[7\];
set_location_assignment -value Pin_AF13 -to ddre_a\[8\];
set_location_assignment -value Pin_AF12 -to ddre_a\[9\];
set_location_assignment -value Pin_AJ15 -to ddre_a\[10\];
set_location_assignment -value Pin_AD12 -to ddre_a\[11\];
set_location_assignment -value Pin_AD11 -to ddre_a\[12\];
set_location_assignment -value Pin_AF22 -to ddre_ba\[0\];
set_location_assignment -value Pin_AE22 -to ddre_ba\[1\];
set_location_assignment -value Pin_AE24 -to ddre_casn;
set_location_assignment -value Pin_AM20 -to ddre_cb\[0\];
set_location_assignment -value Pin_AL20 -to ddre_cb\[1\];
set_location_assignment -value Pin_AK20 -to ddre_cb\[2\];
set_location_assignment -value Pin_AH20 -to ddre_cb\[3\];
set_location_assignment -value Pin_AL21 -to ddre_cb\[4\];
set_location_assignment -value Pin_AK21 -to ddre_cb\[5\];
set_location_assignment -value Pin_AJ21 -to ddre_cb\[6\];
set_location_assignment -value Pin_AM22 -to ddre_cb\[7\];
set_location_assignment -value Pin_AM14 -to ddre_ck_n\[0\];
set_location_assignment -value Pin_AL12 -to ddre_ck_n\[1\];
set_location_assignment -value Pin_AL14 -to ddre_ck_n\[2\];
set_location_assignment -value Pin_AM13 -to ddre_ck_p\[0\];
set_location_assignment -value Pin_AK12 -to ddre_ck_p\[1\];
set_location_assignment -value Pin_AL13 -to ddre_ck_p\[2\];
#---single net name found in conjunction with numbered signals
set_location_assignment -value Pin_AF11 -to ddre_cke;
#---single net name found in conjunction with numbered signals
set_location_assignment -value Pin_AE10 -to ddre_cke1;
set_location_assignment -value Pin_AF24 -to ddre_csn;
#---Found multiple nets with the same name
#set_location_assignment -value Pin_AJ19 -to ddre_dll_clk; #--instance 0 
#set_location_assignment -value Pin_AK19 -to ddre_dll_clk; #--instance 1 
set_location_assignment -value Pin_AJ19 -to ddre_dll_clk_out; #--fit 0 
set_location_assignment -value Pin_AK19 -to ddre_dll_clk_in; #--fit 1 
set_location_assignment -value Pin_AG9 -to ddre_dm\[0\];
set_location_assignment -value Pin_AG10 -to ddre_dm\[1\];
set_location_assignment -value Pin_AF10 -to ddre_dm\[2\];
set_location_assignment -value Pin_AM11 -to ddre_dm\[3\];
set_location_assignment -value Pin_AG21 -to ddre_dm\[4\];
set_location_assignment -value Pin_AG22 -to ddre_dm\[5\];
set_location_assignment -value Pin_AG23 -to ddre_dm\[6\];
set_location_assignment -value Pin_AG24 -to ddre_dm\[7\];
set_location_assignment -value Pin_AG20 -to ddre_dm\[8\];
set_location_assignment -value Pin_AK4 -to ddre_dq\[0\];
set_location_assignment -value Pin_AK3 -to ddre_dq\[1\];
set_location_assignment -value Pin_AH5 -to ddre_dq\[2\];
set_location_assignment -value Pin_AJ5 -to ddre_dq\[3\];
set_location_assignment -value Pin_AJ4 -to ddre_dq\[4\];
set_location_assignment -value Pin_AM4 -to ddre_dq\[5\];
set_location_assignment -value Pin_AL4 -to ddre_dq\[6\];
set_location_assignment -value Pin_AL3 -to ddre_dq\[7\];
set_location_assignment -value Pin_AJ6 -to ddre_dq\[8\];
set_location_assignment -value Pin_AK6 -to ddre_dq\[9\];
set_location_assignment -value Pin_AL5 -to ddre_dq\[10\];
set_location_assignment -value Pin_AK7 -to ddre_dq\[11\];
set_location_assignment -value Pin_AM5 -to ddre_dq\[12\];
set_location_assignment -value Pin_AJ7 -to ddre_dq\[13\];
set_location_assignment -value Pin_AM6 -to ddre_dq\[14\];
set_location_assignment -value Pin_AL6 -to ddre_dq\[15\];
set_location_assignment -value Pin_AL7 -to ddre_dq\[16\];
set_location_assignment -value Pin_AJ8 -to ddre_dq\[17\];
set_location_assignment -value Pin_AM7 -to ddre_dq\[18\];
set_location_assignment -value Pin_AH9 -to ddre_dq\[19\];
set_location_assignment -value Pin_AM8 -to ddre_dq\[20\];
set_location_assignment -value Pin_AK9 -to ddre_dq\[21\];
set_location_assignment -value Pin_AJ9 -to ddre_dq\[22\];
set_location_assignment -value Pin_AL8 -to ddre_dq\[23\];
set_location_assignment -value Pin_AH11 -to ddre_dq\[24\];
set_location_assignment -value Pin_AJ10 -to ddre_dq\[25\];
set_location_assignment -value Pin_AL9 -to ddre_dq\[26\];
set_location_assignment -value Pin_AM9 -to ddre_dq\[27\];
set_location_assignment -value Pin_AK10 -to ddre_dq\[28\];
set_location_assignment -value Pin_AL11 -to ddre_dq\[29\];
set_location_assignment -value Pin_AK11 -to ddre_dq\[30\];
set_location_assignment -value Pin_AL10 -to ddre_dq\[31\];
set_location_assignment -value Pin_AL22 -to ddre_dq\[32\];
set_location_assignment -value Pin_AK22 -to ddre_dq\[33\];
set_location_assignment -value Pin_AL23 -to ddre_dq\[34\];
set_location_assignment -value Pin_AK23 -to ddre_dq\[35\];
set_location_assignment -value Pin_AM24 -to ddre_dq\[36\];
set_location_assignment -value Pin_AH22 -to ddre_dq\[37\];
set_location_assignment -value Pin_AL24 -to ddre_dq\[38\];
set_location_assignment -value Pin_AJ23 -to ddre_dq\[39\];
set_location_assignment -value Pin_AM26 -to ddre_dq\[40\];
set_location_assignment -value Pin_AM25 -to ddre_dq\[41\];
set_location_assignment -value Pin_AK24 -to ddre_dq\[42\];
set_location_assignment -value Pin_AL25 -to ddre_dq\[43\];
set_location_assignment -value Pin_AK25 -to ddre_dq\[44\];
set_location_assignment -value Pin_AJ25 -to ddre_dq\[45\];
set_location_assignment -value Pin_AJ24 -to ddre_dq\[46\];
set_location_assignment -value Pin_AH24 -to ddre_dq\[47\];
set_location_assignment -value Pin_AK26 -to ddre_dq\[48\];
set_location_assignment -value Pin_AM28 -to ddre_dq\[49\];
set_location_assignment -value Pin_AM27 -to ddre_dq\[50\];
set_location_assignment -value Pin_AJ26 -to ddre_dq\[51\];
set_location_assignment -value Pin_AK27 -to ddre_dq\[52\];
set_location_assignment -value Pin_AL28 -to ddre_dq\[53\];
set_location_assignment -value Pin_AJ27 -to ddre_dq\[54\];
set_location_assignment -value Pin_AH26 -to ddre_dq\[55\];
set_location_assignment -value Pin_AM29 -to ddre_dq\[56\];
set_location_assignment -value Pin_AL29 -to ddre_dq\[57\];
set_location_assignment -value Pin_AL30 -to ddre_dq\[58\];
set_location_assignment -value Pin_AK29 -to ddre_dq\[59\];
set_location_assignment -value Pin_AJ29 -to ddre_dq\[60\];
set_location_assignment -value Pin_AJ28 -to ddre_dq\[61\];
set_location_assignment -value Pin_AK30 -to ddre_dq\[62\];
set_location_assignment -value Pin_AH28 -to ddre_dq\[63\];
set_location_assignment -value Pin_AK5 -to ddre_dqs\[0\];
set_location_assignment -value Pin_AH7 -to ddre_dqs\[1\];
set_location_assignment -value Pin_AK8 -to ddre_dqs\[2\];
set_location_assignment -value Pin_AJ11 -to ddre_dqs\[3\];
set_location_assignment -value Pin_AJ22 -to ddre_dqs\[4\];
set_location_assignment -value Pin_AL26 -to ddre_dqs\[5\];
set_location_assignment -value Pin_AL27 -to ddre_dqs\[6\];
set_location_assignment -value Pin_AK28 -to ddre_dqs\[7\];
set_location_assignment -value Pin_AJ20 -to ddre_dqs\[8\];
set_location_assignment -value Pin_AB28 -to ddre_fbclk;
set_location_assignment -value Pin_AL15 -to ddre_fbclk_out;
set_location_assignment -value Pin_AF23 -to ddre_rasn;
set_location_assignment -value Pin_AE21 -to ddre_scl;
set_location_assignment -value Pin_AD21 -to ddre_sda;
set_location_assignment -value Pin_AM15 -to ddre_sma_dll_clk;
set_location_assignment -value Pin_AE23 -to ddre_wen;

#-----------config-----------
# set_location_assignment -value Pin_E14 -to config_d\[0\];
# set_location_assignment -value Pin_F14 -to config_d\[1\];
# set_location_assignment -value Pin_F15 -to config_d\[2\];
# set_location_assignment -value Pin_C16 -to config_d\[3\];
# set_location_assignment -value Pin_G19 -to config_d\[4\];
# set_location_assignment -value Pin_J19 -to config_d\[5\];
# set_location_assignment -value Pin_K19 -to config_d\[6\];
# set_location_assignment -value Pin_J20 -to config_d\[7\];

#-----------s_-----------
set_location_assignment -value Pin_T1 -to s_alertn;
set_location_assignment -value Pin_T2 -to s_overtempn;
set_location_assignment -value Pin_AF19 -to s_pll_ena;
set_location_assignment -value Pin_P11 -to s_smb_clk;
set_location_assignment -value Pin_N11 -to s_smb_data;

#-----------sma-----------
set_location_assignment -value Pin_T3 -to sma_clk_n;
set_location_assignment -value Pin_T4 -to sma_clk_p;
set_location_assignment -value Pin_AM17 -to sma_fb_n;
set_location_assignment -value Pin_AL17 -to sma_fb_p;

#-----------dip-----------
set_location_assignment -value Pin_AB19 -to dip\[0\];
set_location_assignment -value Pin_AD20 -to dip\[1\];
set_location_assignment -value Pin_AE20 -to dip\[2\];
set_location_assignment -value Pin_AD19 -to dip\[3\];
set_location_assignment -value Pin_AJ18 -to dip\[4\];
set_location_assignment -value Pin_AH18 -to dip\[5\];
set_location_assignment -value Pin_AK18 -to dip\[6\];
set_location_assignment -value Pin_AA21 -to dip\[7\];
set_location_assignment -value Pin_AB21 -to dip\[8\];
set_location_assignment -value Pin_AD22 -to dip\[9\];
set_location_assignment -value Pin_AC21 -to dip\[10\];
set_location_assignment -value Pin_AB20 -to dip\[11\];
set_location_assignment -value Pin_AB24 -to dip\[12\];
set_location_assignment -value Pin_AC24 -to dip\[13\];
set_location_assignment -value Pin_AC23 -to dip\[14\];
set_location_assignment -value Pin_AD24 -to dip\[15\];

#-----------dig-----------
set_location_assignment -value Pin_AC5 -to dig_1_a;
set_location_assignment -value Pin_AC8 -to dig_1_b;
set_location_assignment -value Pin_AC7 -to dig_1_c;
set_location_assignment -value Pin_AB6 -to dig_1_d;
set_location_assignment -value Pin_AA8 -to dig_1_dp;
set_location_assignment -value Pin_AB7 -to dig_1_e;
set_location_assignment -value Pin_AA7 -to dig_1_f;
set_location_assignment -value Pin_AA6 -to dig_1_g;
set_location_assignment -value Pin_AE7 -to dig_2_a;
set_location_assignment -value Pin_AD5 -to dig_2_b;
set_location_assignment -value Pin_AD6 -to dig_2_c;
set_location_assignment -value Pin_AE5 -to dig_2_d;
set_location_assignment -value Pin_AC6 -to dig_2_dp;
set_location_assignment -value Pin_AE6 -to dig_2_e;
set_location_assignment -value Pin_AD7 -to dig_2_f;
set_location_assignment -value Pin_AD8 -to dig_2_g;

#-----------proto-----------
set_location_assignment -value Pin_AG3 -to proto1_io\[0\];
set_location_assignment -value Pin_AG4 -to proto1_io\[1\];
set_location_assignment -value Pin_AG2 -to proto1_io\[2\];
set_location_assignment -value Pin_AG1 -to proto1_io\[3\];
set_location_assignment -value Pin_AF3 -to proto1_io\[4\];
set_location_assignment -value Pin_AF4 -to proto1_io\[5\];
set_location_assignment -value Pin_AF1 -to proto1_io\[6\];
set_location_assignment -value Pin_AF2 -to proto1_io\[7\];
set_location_assignment -value Pin_AE3 -to proto1_io\[8\];
set_location_assignment -value Pin_AE4 -to proto1_io\[9\];
set_location_assignment -value Pin_AE1 -to proto1_io\[10\];
set_location_assignment -value Pin_AE2 -to proto1_io\[11\];
set_location_assignment -value Pin_AC4 -to proto1_io\[12\];
set_location_assignment -value Pin_AC3 -to proto1_io\[13\];
set_location_assignment -value Pin_AD4 -to proto1_io\[14\];
set_location_assignment -value Pin_AD3 -to proto1_io\[15\];
set_location_assignment -value Pin_AD1 -to proto1_io\[16\];
set_location_assignment -value Pin_AD2 -to proto1_io\[17\];
set_location_assignment -value Pin_AB1 -to proto1_io\[18\];
set_location_assignment -value Pin_AC2 -to proto1_io\[19\];
set_location_assignment -value Pin_AA5 -to proto1_io\[20\];
set_location_assignment -value Pin_AA4 -to proto1_io\[21\];
set_location_assignment -value Pin_AB2 -to proto1_io\[22\];
set_location_assignment -value Pin_AB3 -to proto1_io\[23\];
set_location_assignment -value Pin_AA2 -to proto1_io\[24\];
set_location_assignment -value Pin_AA3 -to proto1_io\[25\];
set_location_assignment -value Pin_Y3 -to proto1_io\[26\];
set_location_assignment -value Pin_Y4 -to proto1_io\[27\];
set_location_assignment -value Pin_Y1 -to proto1_io\[28\];
set_location_assignment -value Pin_Y2 -to proto1_io\[29\];
set_location_assignment -value Pin_W3 -to proto1_io\[30\];
set_location_assignment -value Pin_W4 -to proto1_io\[31\];
set_location_assignment -value Pin_W1 -to proto1_io\[32\];
set_location_assignment -value Pin_W2 -to proto1_io\[33\];
set_location_assignment -value Pin_V3 -to proto1_io\[34\];
set_location_assignment -value Pin_V4 -to proto1_io\[35\];
set_location_assignment -value Pin_V1 -to proto1_io\[36\];
set_location_assignment -value Pin_V2 -to proto1_io\[37\];
set_location_assignment -value Pin_U6 -to proto1_io\[38\];
set_location_assignment -value Pin_U5 -to proto1_io\[39\];

#-----------max_led-----------
set_location_assignment -value Pin_R10 -to max_led\[0\];
set_location_assignment -value Pin_R9 -to max_led\[1\];
set_location_assignment -value Pin_R5 -to max_led\[2\];
set_location_assignment -value Pin_R6 -to max_led\[3\];
set_location_assignment -value Pin_P7 -to max_led\[4\];
set_location_assignment -value Pin_P8 -to max_led\[5\];
set_location_assignment -value Pin_R7 -to max_led\[6\];
set_location_assignment -value Pin_R8 -to max_led\[7\];

#-----------rlds-----------
set_location_assignment -value Pin_D19 -to rlds_a\[0\];
set_location_assignment -value Pin_F19 -to rlds_a\[1\];
set_location_assignment -value Pin_G20 -to rlds_a\[2\];
set_location_assignment -value Pin_B20 -to rlds_a\[3\];
set_location_assignment -value Pin_C20 -to rlds_a\[4\];
set_location_assignment -value Pin_L18 -to rlds_a\[5\];
set_location_assignment -value Pin_K20 -to rlds_a\[6\];
set_location_assignment -value Pin_H20 -to rlds_a\[7\];
set_location_assignment -value Pin_L19 -to rlds_a\[8\];
set_location_assignment -value Pin_J21 -to rlds_a\[9\];
set_location_assignment -value Pin_F21 -to rlds_a\[10\];
set_location_assignment -value Pin_F22 -to rlds_a\[11\];
set_location_assignment -value Pin_G22 -to rlds_a\[12\];
set_location_assignment -value Pin_C21 -to rlds_a\[13\];
set_location_assignment -value Pin_D21 -to rlds_a\[14\];
set_location_assignment -value Pin_L24 -to rlds_a\[15\];
set_location_assignment -value Pin_K22 -to rlds_a\[16\];
set_location_assignment -value Pin_J22 -to rlds_a\[17\];
set_location_assignment -value Pin_L23 -to rlds_a\[18\];
set_location_assignment -value Pin_G23 -to rlds_a\[19\];
set_location_assignment -value Pin_A20 -to rlds_a\[20\];
set_location_assignment -value Pin_K18 -to rlds_a\[21\];
set_location_assignment -value Pin_H19 -to rlds_a\[22\];
set_location_assignment -value Pin_E20 -to rlds_ba\[0\];
set_location_assignment -value Pin_F20 -to rlds_ba\[1\];
set_location_assignment -value Pin_L20 -to rlds_ba\[2\];
set_location_assignment -value Pin_A18 -to rlds_ck_n;
set_location_assignment -value Pin_B18 -to rlds_ck_p;
set_location_assignment -value Pin_K21 -to rlds_csn;
set_location_assignment -value Pin_D24 -to rlds_d\[0\];
set_location_assignment -value Pin_A25 -to rlds_d\[1\];
set_location_assignment -value Pin_C24 -to rlds_d\[2\];
set_location_assignment -value Pin_B25 -to rlds_d\[3\];
set_location_assignment -value Pin_C25 -to rlds_d\[4\];
set_location_assignment -value Pin_D25 -to rlds_d\[5\];
set_location_assignment -value Pin_A26 -to rlds_d\[6\];
set_location_assignment -value Pin_E24 -to rlds_d\[7\];
set_location_assignment -value Pin_F23 -to rlds_d\[8\];
set_location_assignment -value Pin_C26 -to rlds_d\[9\];
set_location_assignment -value Pin_A28 -to rlds_d\[10\];
set_location_assignment -value Pin_A27 -to rlds_d\[11\];
set_location_assignment -value Pin_D26 -to rlds_d\[12\];
set_location_assignment -value Pin_C27 -to rlds_d\[13\];
set_location_assignment -value Pin_B28 -to rlds_d\[14\];
set_location_assignment -value Pin_D27 -to rlds_d\[15\];
set_location_assignment -value Pin_B26 -to rlds_d\[16\];
set_location_assignment -value Pin_F24 -to rlds_d\[17\];
set_location_assignment -value Pin_G24 -to rlds_dm;
set_location_assignment -value Pin_B22 -to rlds_q\[0\];
set_location_assignment -value Pin_C22 -to rlds_q\[1\];
set_location_assignment -value Pin_B23 -to rlds_q\[2\];
set_location_assignment -value Pin_C23 -to rlds_q\[3\];
set_location_assignment -value Pin_A24 -to rlds_q\[4\];
set_location_assignment -value Pin_E22 -to rlds_q\[5\];
set_location_assignment -value Pin_B24 -to rlds_q\[6\];
set_location_assignment -value Pin_D23 -to rlds_q\[7\];
set_location_assignment -value Pin_A22 -to rlds_q\[8\];
set_location_assignment -value Pin_A29 -to rlds_q\[9\];
set_location_assignment -value Pin_B29 -to rlds_q\[10\];
set_location_assignment -value Pin_B30 -to rlds_q\[11\];
set_location_assignment -value Pin_C29 -to rlds_q\[12\];
set_location_assignment -value Pin_D29 -to rlds_q\[13\];
set_location_assignment -value Pin_D28 -to rlds_q\[14\];
set_location_assignment -value Pin_C30 -to rlds_q\[15\];
set_location_assignment -value Pin_E28 -to rlds_q\[16\];
set_location_assignment -value Pin_E26 -to rlds_q\[17\];
set_location_assignment -value Pin_D20 -to rlds_qk_n\[0\];
set_location_assignment -value Pin_C28 -to rlds_qk_n\[1\];
set_location_assignment -value Pin_D22 -to rlds_qk_p\[0\];
set_location_assignment -value Pin_B27 -to rlds_qk_p\[1\];
set_location_assignment -value Pin_B21 -to rlds_qvld;
set_location_assignment -value Pin_L21 -to rlds_refn;
set_location_assignment -value Pin_L22 -to rlds_wen;

#-----------rldc-----------
set_location_assignment -value Pin_J13 -to rldc2_csn;
set_location_assignment -value Pin_F10 -to rldc2_dm;
set_location_assignment -value Pin_B7 -to rldc2_dq\[0\];
set_location_assignment -value Pin_D8 -to rldc2_dq\[1\];
set_location_assignment -value Pin_B8 -to rldc2_dq\[2\];
set_location_assignment -value Pin_E9 -to rldc2_dq\[3\];
set_location_assignment -value Pin_A8 -to rldc2_dq\[4\];
set_location_assignment -value Pin_C9 -to rldc2_dq\[5\];
set_location_assignment -value Pin_C8 -to rldc2_dq\[6\];
set_location_assignment -value Pin_D9 -to rldc2_dq\[7\];
set_location_assignment -value Pin_E11 -to rldc2_dq\[8\];
set_location_assignment -value Pin_B9 -to rldc2_dq\[9\];
set_location_assignment -value Pin_D10 -to rldc2_dq\[10\];
set_location_assignment -value Pin_C10 -to rldc2_dq\[11\];
set_location_assignment -value Pin_A9 -to rldc2_dq\[12\];
set_location_assignment -value Pin_B11 -to rldc2_dq\[13\];
set_location_assignment -value Pin_C11 -to rldc2_dq\[14\];
set_location_assignment -value Pin_B10 -to rldc2_dq\[15\];
set_location_assignment -value Pin_A7 -to rldc2_qk_p\[0\];
set_location_assignment -value Pin_D11 -to rldc2_qk_p\[1\];
set_location_assignment -value Pin_F9 -to rldc2_qvld;
set_location_assignment -value Pin_B12 -to rldc_a\[0\];
set_location_assignment -value Pin_C12 -to rldc_a\[1\];
set_location_assignment -value Pin_D12 -to rldc_a\[2\];
set_location_assignment -value Pin_A13 -to rldc_a\[3\];
set_location_assignment -value Pin_B13 -to rldc_a\[4\];
set_location_assignment -value Pin_K11 -to rldc_a\[5\];
set_location_assignment -value Pin_H11 -to rldc_a\[6\];
set_location_assignment -value Pin_H12 -to rldc_a\[7\];
set_location_assignment -value Pin_K12 -to rldc_a\[8\];
set_location_assignment -value Pin_F12 -to rldc_a\[9\];
set_location_assignment -value Pin_C14 -to rldc_a\[10\];
set_location_assignment -value Pin_E13 -to rldc_a\[11\];
set_location_assignment -value Pin_F13 -to rldc_a\[12\];
set_location_assignment -value Pin_A14 -to rldc_a\[13\];
set_location_assignment -value Pin_B14 -to rldc_a\[14\];
set_location_assignment -value Pin_J15 -to rldc_a\[15\];
set_location_assignment -value Pin_J14 -to rldc_a\[16\];
set_location_assignment -value Pin_H14 -to rldc_a\[17\];
set_location_assignment -value Pin_K15 -to rldc_a\[18\];
set_location_assignment -value Pin_C15 -to rldc_a\[19\];
set_location_assignment -value Pin_A11 -to rldc_a\[20\];
set_location_assignment -value Pin_K10 -to rldc_a\[21\];
set_location_assignment -value Pin_K9 -to rldc_a\[22\];
set_location_assignment -value Pin_C13 -to rldc_ba\[0\];
set_location_assignment -value Pin_D13 -to rldc_ba\[1\];
set_location_assignment -value Pin_G13 -to rldc_ba\[2\];
set_location_assignment -value Pin_F11 -to rldc_ck_out;
set_location_assignment -value Pin_H13 -to rldc_csn;
set_location_assignment -value Pin_F8 -to rldc_dm;
set_location_assignment -value Pin_D5 -to rldc_dq\[0\];
set_location_assignment -value Pin_C3 -to rldc_dq\[1\];
set_location_assignment -value Pin_E5 -to rldc_dq\[2\];
set_location_assignment -value Pin_C4 -to rldc_dq\[3\];
set_location_assignment -value Pin_D4 -to rldc_dq\[4\];
set_location_assignment -value Pin_A4 -to rldc_dq\[5\];
set_location_assignment -value Pin_B4 -to rldc_dq\[6\];
set_location_assignment -value Pin_B3 -to rldc_dq\[7\];
set_location_assignment -value Pin_D6 -to rldc_dq\[8\];
set_location_assignment -value Pin_C6 -to rldc_dq\[9\];
set_location_assignment -value Pin_B5 -to rldc_dq\[10\];
set_location_assignment -value Pin_C7 -to rldc_dq\[11\];
set_location_assignment -value Pin_A5 -to rldc_dq\[12\];
set_location_assignment -value Pin_D7 -to rldc_dq\[13\];
set_location_assignment -value Pin_A6 -to rldc_dq\[14\];
set_location_assignment -value Pin_B6 -to rldc_dq\[15\];
set_location_assignment -value Pin_C5 -to rldc_qk_p\[0\];
set_location_assignment -value Pin_E7 -to rldc_qk_p\[1\];
set_location_assignment -value Pin_F7 -to rldc_qvld;
set_location_assignment -value Pin_A17 -to rldc_refclk_n;
set_location_assignment -value Pin_B17 -to rldc_refclk_p;
set_location_assignment -value Pin_K13 -to rldc_refn;
set_location_assignment -value Pin_K14 -to rldc_wen;

#-----------pb-----------
set_location_assignment -value Pin_AG8 -to pb\[0\];
set_location_assignment -value Pin_AH2 -to pb\[1\];
set_location_assignment -value Pin_AH1 -to pb\[2\];
set_location_assignment -value Pin_AH14 -to pb_dev_clrn;

#-----------rs232-----------
set_location_assignment -value Pin_Y7 -to rs232a_cts;
set_location_assignment -value Pin_W5 -to rs232a_rts;
set_location_assignment -value Pin_W6 -to rs232a_rxd;
set_location_assignment -value Pin_Y9 -to rs232a_txd;
set_location_assignment -value Pin_AA9 -to rs232b_cts;
set_location_assignment -value Pin_Y5 -to rs232b_rts;
set_location_assignment -value Pin_Y6 -to rs232b_rxd;
set_location_assignment -value Pin_Y8 -to rs232b_txd;

#-----------vref-----------
set_location_assignment -value Pin_U22 -to vrefio_loopin;
set_location_assignment -value Pin_W21 -to vrefio_loopout;
set_location_assignment -value Pin_V22 -to vrefio_smain;
set_location_assignment -value Pin_W22 -to vrefio_smaout;

#-----------ref-----------
set_location_assignment -value Pin_T11 -to ref_lock;

#-----------ddrup-----------
#---Found multiple nets with the same name
#set_location_assignment -value Pin_AG11 -to ddrupdnb; #--instance 0 
#set_location_assignment -value Pin_AG12 -to ddrupdnb; #--instance 1 
set_location_assignment -value Pin_AG11 -to ddrupdnb_in; #--fit 0 
set_location_assignment -value Pin_AG12 -to ddrupdnb_out; #--fit 1
#---Found multiple nets with the same name
#set_location_assignment -value Pin_G11 -to ddrupdnt; #--instance 0 
#set_location_assignment -value Pin_G12 -to ddrupdnt; #--instance 1 
set_location_assignment -value Pin_G11 -to ddrupdnt_out; #--fit 0 
set_location_assignment -value Pin_G12 -to ddrupdnt_in; #--fit 1

#-----------endd-----------
#---Found multiple nets with the same name
#set_location_assignment -value Pin_AE12 -to enddrb; #--instance 0 
#set_location_assignment -value Pin_AE11 -to enddrb; #--instance 1 
set_location_assignment -value Pin_AE12 -to enddrb_in; #--fit 0 
set_location_assignment -value Pin_AE11 -to enddrb_out; #--fit 1 
#---Found multiple nets with the same name
#set_location_assignment -value Pin_J11 -to enddrt; #--instance 0 
#set_location_assignment -value Pin_J12 -to enddrt; #--instance 1 
set_location_assignment -value Pin_J11 -to enddrt_in; #--fit 0 
set_location_assignment -value Pin_J12 -to enddrt_out; #--fit 1 
#-----------Others-----------
set_location_assignment -value Pin_AL18 -to ck_to_scruz;
set_location_assignment -value Pin_AF8 -to cpld_user\[0\];
set_location_assignment -value Pin_AF7 -to cpld_user\[1\];
set_location_assignment -value Pin_AF20 -to crc_error;
set_location_assignment -value Pin_T27 -to ddr_fbclk;
set_location_assignment -value Pin_R27 -to ddr_fbclk_r;
set_location_assignment -value Pin_L5 -to rld_buf_fbclk_n;
set_location_assignment -value Pin_L4 -to rld_buf_fbclk_p;
#---Found multiple nets with the same name
#set_location_assignment -value Pin_B19 -to rld_dll_clk; #--instance 0 
#set_location_assignment -value Pin_A19 -to rld_dll_clk; #--instance 1 
set_location_assignment -value Pin_B19 -to rld_dll_clk_out; #--fit 0 
set_location_assignment -value Pin_A19 -to rld_dll_clk_in; #--fit 1 
#---Found multiple nets with the same name
#set_location_assignment -value Pin_A16 -to rld_fbclk_n; #--instance 0 
#set_location_assignment -value Pin_L28 -to rld_fbclk_n; #--instance 1 
set_location_assignment -value Pin_A16 -to rld_fbclk_n_out; #--fit 0 
set_location_assignment -value Pin_L28 -to rld_fbclk_n_in; #--fit 1
#---Found multiple nets with the same name
#set_location_assignment -value Pin_B16 -to rld_fbclk_p; #--instance 0 
#set_location_assignment -value Pin_L29 -to rld_fbclk_p; #--instance 1 
set_location_assignment -value Pin_B16 -to rld_fbclk_p_out; #--fit 0 
set_location_assignment -value Pin_L29 -to rld_fbclk_p_in; #--fit 1
set_location_assignment -value Pin_D15 -to rld_sma_dll_clk;
set_location_assignment -value Pin_R11 -to scruz_cardseln;
